Subject: Re: What's cooking in git.git (Nov 2012, #03; Tue, 13)

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 15 Nov 2012 20:35:34 +0100

On 11/15/2012 08:05 PM, Ramsay Jones wrote:
> Torsten Bögershausen wrote:
>>> * ml/cygwin-mingw-headers (2012-11-12) 1 commit
>>>   - Update cygwin.c for new mingw-64 win32 api headers
>>>
>>>   Make git work on newer cygwin.
>>>
>>>   Will merge to 'next'.
>>
>> (Sorry for late answer, I managed to test the original patch minutes before Peff merged it to pu)
>> (And thanks for maintaining git)
>>
>> Is everybody using cygwin happy with this?
>
> I am still on cygwin 1.5.22 and quite happy that this patch does
> not (seem) to cause any problems. ;-P
>
>> I managed to compile on a fresh installed cygwin,
>> but failed to compile under 1.7.7, see below.
>> Is there a way we can achieve to compile git both under "old" and "new" cygwin 1.7 ?
>> Or is this not worth the effort?
>
> Did the cygwin project not bump an api version number somewhere?
>
> ATB,
> Ramsay Jones
Ramsay,
you can run uname -r to see the version number.

I myself haven't fully understood all the consequences,
somewhere between 1.7.7 and 1.7.17 the include files had been changed.

If this has consequences for using e.g. winsock2.dll, I want to know 
myself ;-)

/Torsten